Subject: bug#8950: 24.0.50; switch-to-buffer-other-window not working

From: martin rudalics <[email-masked]>
Date: Tue, 28 Jun 2011 11:41:20 +0200

> `switch-to-buffer-other-window' is behaving like
> `switch-to-buffer-other-frame'. Pressing `C-x 4 b' brings the selected
> buffer in a new frame instead of a new window. The behaviour is like
> this even when the calls are from other lisp fucntions. For example,
> while exporting an org-mode file with several source blocks a new frame
> pops up and steals focus and goes out of focus repeatedly. This makes it
> impossible to work with other applications during the export.
> 
> This is with Emacs 24 HEAD from sometime on June 17. Please feel free to
> contact me if you need any more information. Hope this helps.

Thanks for the report.  This should have been fixed now.

Please upgrade your version.

Sorry for the inconvenience, martin